Summary:	Scripts for managing .spec files and building RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do zarządznia plikami .spec i budowania RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Name:		rpm-build-tools
Version:	4.5
Release:	6
License:	GPL
Group:		Applications/File
Group:		Base
Source0:	builder.sh
Source1:	adapter.awk
Source2:	adapter.sh
Source3:	pldnotify.awk
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Requires:	grep
Requires:	less
Requires:	perl-base
Requires:	rpm-build
Requires:	rpmbuild(macros) >= 1.539
Requires:	sed >= 4.0
Requires:	util-linux
Requires:	wget
Suggests:	git-core >= 1.7
Suggests:	rpm-specdump >= 0.3
Suggests:	schedtool
Suggests:	vim-syntax-spec
Conflicts:	git-core < 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Scripts for managing .spec files and building RPM packages.

%description -l de.UTF-8
Scripts fürs Bauen RPM-Pakete.

%description -l pl.UTF-8
Skrypty pomocnicze do zarządzania plikami .spec i do budowania RPM-ów.

%description -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE2} .
cp -p %{SOURCE1} adapter.awk
cp -p %{SOURCE3} pldnotify.awk

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%{__sed} -i -e '/^VERSION=/s,\([^/]\+\)/.*",\1-RELEASE",' builder.sh adapter.sh
%{__sed} -i -e '/\tRCSID =/,/^\trev =/d;/\tVERSION = /s,\([^/]\+\)/.*,\1-RELEASE",' adapter.awk

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}}
cp -p adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p pldnotify.awk $RPM_BUILD_ROOT%{_bindir}
install -p builder.sh $RPM_BUILD_ROOT%{_bindir}/builder
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/adapter
%attr(755,root,root) %{_bindir}/pldnotify.awk
%{_libdir}/adapter.awk
%changelog
* Sat Aug 11 2012 Elan Ruusamäe <glen@delfi.ee> 3dba947
builder script requires git 1.7+ to checkout from pld repos, not cvs

* Sat Aug 11 2012 Elan Ruusamäe <glen@delfi.ee> 62113de
add bump_release method to increase release (no functional change)

* Sat Aug 11 2012 Elan Ruusamäe <glen@delfi.ee> 3ddb7c7
fill php core deps as virtual

* Wed Aug 08 2012 Kacper Kornet <draenog@pld-linux.org> acd0d41
Fix for initialized git repo without any config

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 2c6c3c7
script to push your rpm packages to ~/public_html/<dist>/<arch>

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> d509f56
normalize spec name, like builder script does

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 07ea9b0
comment some code logic

* Sat Aug 04 2012 Kacper Kornet <draenog@pld-linux.org> ac7a79f
Don't create links for tools if directory does not exist

* Fri Aug 03 2012 Kacper Kornet <draenog@pld-linux.org> f4bf7d6
Install fetchsrc_request in rpm/packages

* Fri Aug 03 2012 Kacper Kornet <draenog@pld-linux.org> 75dbda9
Make fetchsrc_request suffix the same as of other tools

* Fri Aug 03 2012 Kacper Kornet <draenog@pld-linux.org> 86faa9d
Adapt fetchsrc_request to git setup

* Wed Aug 01 2012 Kacper Kornet <draenog@pld-linux.org> 9794351
Set +x bit for pldnotify.awk

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> 8a03703
builder: set PATH before nice

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> 670b1ed
builder: use clean PATH only when invoking rpmbuild

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> 006dae0
adapter: fedora elfutils-libelf-devel name transition

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> 208fcd5
Merge branch 'master' of ssh://git.pld-linux.org/packages/rpm-build-tools

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> d9602bf
relup: fix breakage from 2d0ad334: relup can take several package names to process

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> d0dbe0e
cvs tools are dead

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 4860a9a
add clean target

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 1714e62
make it work with git dirs

